Up

# NSDrawer

### Authors

Fred Kiefer (`FredKiefer@gmx.de`)

> The drawer class

Copyright: (C) 2001 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSDrawer class
2. Software documentation for the NSDrawerDelegate class

# Software documentation for the NSDrawer class

## NSDrawer : NSResponder

> Declared in:
>   AppKit/NSDrawer.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -close
- -close:
- -contentSize
- -contentView
- -delegate
- -edge
- -initWithContentSize:preferredEdge:
- -leadingOffset
- -maxContentSize
- -minContentSize
- -open
- -open:
- -openOnEdge:
- -parentWindow
- -preferredEdge
- -setContentSize:
- -setContentView:
- -setDelegate:
- -setLeadingOffset:
- -setMaxContentSize:
- -setMinContentSize:
- -setParentWindow:
- -setPreferredEdge:
- -setTrailingOffset:
- -state
- -toggle:
- -trailingOffset

### close

- (void) close;
Availability: OpenStep
Description forthcoming.

### close:

- (void) close: (id)sender;
Availability: OpenStep
Description forthcoming.

### contentSize

- (NSSize) contentSize;
Availability: OpenStep
Description forthcoming.

### contentView

- (NSView*) contentView;
Availability: OpenStep
Description forthcoming.

### delegate

- (id) delegate;
Availability: OpenStep
Description forthcoming.

### edge

- (NSRectEdge) edge;
Availability: OpenStep
Description forthcoming.

### initWithContentSize: preferredEdge:

- (id) initWithContentSize: (NSSize)contentSize preferredEdge: (NSRectEdge)edge;
Availability: OpenStep
Description forthcoming.

### leadingOffset

- (float) leadingOffset;
Availability: OpenStep
Description forthcoming.

### maxContentSize

- (NSSize) maxContentSize;
Availability: OpenStep
Description forthcoming.

### minContentSize

- (NSSize) minContentSize;
Availability: OpenStep
Description forthcoming.

### open

- (void) open;
Availability: OpenStep
Description forthcoming.

### open:

- (void) open: (id)sender;
Availability: OpenStep
Description forthcoming.

### openOnEdge:

- (void) openOnEdge: (NSRectEdge)edge;
Availability: OpenStep
Description forthcoming.

### parentWindow

- (NSWindow*) parentWindow;
Availability: OpenStep
Description forthcoming.

### preferredEdge

- (NSRectEdge) preferredEdge;
Availability: OpenStep
Description forthcoming.

### setContentSize:

- (void) setContentSize: (NSSize)size;
Availability: OpenStep
Description forthcoming.

### setContentView:

- (void) setContentView: (NSView*)aView;
Availability: OpenStep
Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)anObject;
Availability: OpenStep
Description forthcoming.

### setLeadingOffset:

- (void) setLeadingOffset: (float)offset;
Availability: OpenStep
Description forthcoming.

### setMaxContentSize:

- (void) setMaxContentSize: (NSSize)size;
Availability: OpenStep
Description forthcoming.

### setMinContentSize:

- (void) setMinContentSize: (NSSize)size;
Availability: OpenStep
Description forthcoming.

### setParentWindow:

- (void) setParentWindow: (NSWindow*)parent;
Availability: OpenStep
Description forthcoming.

### setPreferredEdge:

- (void) setPreferredEdge: (NSRectEdge)preferredEdge;
Availability: OpenStep
Description forthcoming.

### setTrailingOffset:

- (void) setTrailingOffset: (float)offset;
Availability: OpenStep
Description forthcoming.

### state

- (int) state;
Availability: OpenStep
Description forthcoming.

### toggle:

- (void) toggle: (id)sender;
Availability: OpenStep
Description forthcoming.

### trailingOffset

- (float) trailingOffset;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSDrawer Class

### _contentSize

@protected NSSize _contentSize;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _contentView

@protected NSView* _contentView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _currentEdge

@protected NSRectEdge _currentEdge;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _delegate

@protected id _delegate;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _leadingOffset

@protected float _leadingOffset;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _maxContentSize

@protected NSSize _maxContentSize;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _minContentSize

@protected NSSize _minContentSize;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _parentWindow

@protected NSWindow* _parentWindow;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _preferredEdge

@protected NSRectEdge _preferredEdge;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _state

@protected int _state;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _trailingOffset

@protected float _trailingOffset;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSDrawerDelegate class

## NSDrawerDelegate

> Declared in:
>   AppKit/NSDrawer.h

Availability: OpenStep
Description forthcoming.
Method summary

- -drawerDidClose:
- -drawerDidOpen:
- -drawerShouldClose:
- -drawerShouldOpen:
- -drawerWillClose:
- -drawerWillOpen:
- -drawerWillResizeContents:toSize:

### drawerDidClose:

- (void) drawerDidClose: (NSNotification*)notification;
Availability: OpenStep
Description forthcoming.

### drawerDidOpen:

- (void) drawerDidOpen: (NSNotification*)notification;
Availability: OpenStep
Description forthcoming.

### drawerShouldClose:

- (BOOL) drawerShouldClose: (NSDrawer*)sender;
Availability: OpenStep
Description forthcoming.

### drawerShouldOpen:

- (BOOL) drawerShouldOpen: (NSDrawer*)sender;
Availability: OpenStep
Description forthcoming.

### drawerWillClose:

- (void) drawerWillClose: (NSNotification*)notification;
Availability: OpenStep
Description forthcoming.

### drawerWillOpen:

- (void) drawerWillOpen: (NSNotification*)notification;
Availability: OpenStep
Description forthcoming.

### drawerWillResizeContents: toSize:

- (NSSize) drawerWillResizeContents: (NSDrawer*)sender toSize: (NSSize)contentSize;
Availability: OpenStep
Description forthcoming.

Up